package cn.com.qmth.stmms.biz.exam.dao;

import java.util.List;

import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;

import cn.com.qmth.stmms.biz.exam.model.CollationLabel;
import cn.com.qmth.stmms.biz.exam.model.CollationLabelPK;

public interface CollationLabelDao
        extends PagingAndSortingRepository<CollationLabel, CollationLabelPK>, JpaSpecificationExecutor<CollationLabel> {

    @Query("select s from CollationLabel s where s.pk.examId=?1")
    public List<CollationLabel> findByExamId(int examId);

    @Query("select s from CollationLabel s where s.pk.examId=?1 and s.pk.code=?2")
    public CollationLabel findByExamIdAndCode(int examId, String code);

    @Modifying
    @Query("delete CollationLabel s where s.pk.examId=?1")
    void deleteByExamId(int examId);
}
