package cn.com.qmth.stmms.biz.exam.service.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import cn.com.qmth.stmms.biz.common.BaseQueryService;
import cn.com.qmth.stmms.biz.exam.dao.CollationLabelDao;
import cn.com.qmth.stmms.biz.exam.model.CollationLabel;
import cn.com.qmth.stmms.biz.exam.service.CollationLabelService;

@Service("collationLabelService")
public class CollationLabelServiceImpl extends BaseQueryService<CollationLabel> implements CollationLabelService {

    @Autowired
    private CollationLabelDao collationLabelDao;

    @Transactional
    @Override
    public CollationLabel save(CollationLabel c) {
        return collationLabelDao.save(c);
    }

    @Override
    public CollationLabel find(int examId, String code) {
        return collationLabelDao.findByExamIdAndCode(examId, code);
    }

    @Override
    public List<CollationLabel> list(int examId) {
        return collationLabelDao.findByExamId(examId);
    }

}
