<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/WEB-INF/views/include/taglib.jsp" %>
<html>
<head>
    <title>主页导览</title>
    <meta name="decorator" content="default"/>
    <%@include file="/WEB-INF/views/include/head.jsp" %>
    <%@include file="/WEB-INF/views/include/dialog.jsp" %>
    <link rel="stylesheet" href="${ctxStatic}/overview/css/overview.css" />
    <style type="text/css">.sort {
        color: #0663A2;
        cursor: pointer;
    }</style>
    <script type="text/javascript">
    	function toPage(url,pcode,hasPerm){
    		if(hasPerm=='true'){
    			activeMenu(pcode);
    			window.location.href = url;
    		}else{
    			alert("没有权限");
    		}
    	}
    	function activeMenu(menuCode){
    		var ob=parent.$("#"+menuCode);
    		parent.$("#menu li").removeClass("active");
			parent.$("#menu li i").removeClass("icon-white");
            ob.parent().addClass("active");
            ob.children("i").addClass("icon-white");
    	}
    </script>
</head>
<body>
    <div id="app-guide">
      <div id="guide-center">
        <div class="guide-row1">
          <div class="guide-column1">
            <div class="guide-card guide-card1">
              <div class="guide-title">
                <div class="img-box">
                  <img src="${ctxStatic}/overview/image/guide1.png" />
                </div>
                <div class="txt">系统初始化</div>
              </div>
              <div class="guide-body">
                <a class="my-btn border-c" onclick="toPage('/admin/exam/list?privilegeCode=exam_list','exam_list'<c:if test="${fnx:hasPrivilegeCode(role_privilege_codes, 'exam_list')}">,'true'</c:if>)">考试设置</a>
                <div class="border-c my-btn-box">
                  <a class="my-btn" onclick="toPage('/admin/exam/student?privilegeCode=exam_student','exam_student'<c:if test="${fnx:hasPrivilegeCode(role_privilege_codes, 'exam_student')}">,'true'</c:if>)">考生导入</a>
                  <div class="custom-box">
                    <span class="c-label">考生:</span>
                    <span class="c-value stu-count">${studentCount}</span>
                    <span class="c-label" style="margin-left: 16px">科目:</span>
                    <span class="c-value subject-count">${subjectCount}</span>
                  </div>
                </div>
                <a class="my-btn border-c" onclick="toPage('/admin/exam/paper?privilegeCode=exam_paper','exam_paper'<c:if test="${fnx:hasPrivilegeCode(role_privilege_codes, 'exam_paper')}">,'true'</c:if>)">试卷结构设置</a>
                <a class="my-btn border-c" onclick="toPage('/admin/user/list?privilegeCode=user_list','user_list'<c:if test="${fnx:hasPrivilegeCode(role_privilege_codes, 'user_list')}">,'true'</c:if>)">用户账号设置</a>
              </div>
            </div>
          </div>
          <div class="guide-gap x-gap">
            <img src="${ctxStatic}/overview/image/guide_to_right.png" />
          </div>
          <div class="guide-column2">
            <div class="guide-card guide-card2">
              <div class="guide-title">
                <div class="img-box">
                  <img src="${ctxStatic}/overview/image/guide2.png" />
                </div>
                <div class="txt" >评卷管理</div>
              </div>
              <div class="guide-body2">
                <div class="step-icon-box">
                  <span class="circle circle1"></span>
                  <span class="circle circle2"></span>
                </div>
                <div class="step-content-box">
                  <div class="level1">
                    <div class="big-title">评卷过程管理</div>
                    <div class="flex-1 b-left">
                      <a class="my-btn border-c" onclick="toPage('/admin/exam/mark','exam_mark'<c:if test="${fnx:hasPrivilegeCode(role_privilege_codes, 'exam_mark-mark')}">,'true'</c:if>)">评卷进度</a>
                      <a class="my-btn border-c" onclick="toPage('/admin/exam/group','exam_mark'<c:if test="${fnx:hasPrivilegeCode(role_privilege_codes, 'exam_mark-group')}">,'true'</c:if>)">分组设置修改</a>
                      <a class="my-btn border-c" onclick="toPage('/admin/exam/library','exam_mark'<c:if test="${fnx:hasPrivilegeCode(role_privilege_codes, 'exam_mark-library')}">,'true'</c:if>)">已评任务查看</a>
                    </div>
                  </div>
                  <div class="level2">
                    <div class="big-title">数据分析</div>
                    <div class="flex-1">
                      <a class="my-btn border-c" onclick="toPage('/admin/basic/role/info/sub/page?privilegeCode=exam_report_subject','exam_report_subject'<c:if test="${fnx:hasPrivilegeCode(role_privilege_codes, 'exam_report_subject')}">,'true'</c:if>)">科目分析</a>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
          <div class="guide-gap x-gap">
            <img src="${ctxStatic}/overview/image/guide_to_right.png" />
          </div>
          <div class="guide-column3">
            <div class="guide-card guide-card3">
              <div class="guide-title">
                <div class="img-box">
                  <img src="${ctxStatic}/overview/image/guide3.png" />
                </div>
                <div class="txt">异常卷处理</div>
              </div>
              <div class="guide-body">
                <a class="my-btn border-c" onclick="toPage('/admin/exam/reject/list','exam_reject_list'<c:if test="${fnx:hasPrivilegeCode(role_privilege_codes, 'exam_reject_list-paper')}">,'true'</c:if>)">打回卷处理</a>
                <a class="my-btn border-c" onclick="toPage('/admin/exam/problem/history?privilegeCode=exam_problem_history','exam_problem_history'<c:if test="${fnx:hasPrivilegeCode(role_privilege_codes, 'exam_problem_history')}">,'true'</c:if>)">问题卷处理</a>
                <a class="my-btn border-c" onclick="toPage('/admin/exam/arbitrate','exam_mark'<c:if test="${fnx:hasPrivilegeCode(role_privilege_codes, 'exam_mark-arbitrate')}">,'true'</c:if>)">仲裁卷处理</a>
              </div>
            </div>
          </div>
        </div>
        <div class="guide-row2">
          <div class="guide-column1"></div>
          <div class="guide-gap x-gap" style="opacity: 0">
            <img src="${ctxStatic}/overview/image/guide_to_right.png" />
          </div>
          <div class="guide-column2"></div>
          <div class="guide-gap x-gap" style="opacity: 0">
            <img src="${ctxStatic}/overview/image/guide_to_right.png" />
          </div>
          <div class="guide-column3">
            <div class="guide-gap y-gap">
              <img src="${ctxStatic}/overview/image/guide_to_bottom.png" />
            </div>
          </div>
        </div>
        <div class="guide-row3">
          <div class="guide-column1">
            <div class="guide-card guide-card4">
              <div class="guide-title">
                <div class="img-box">
                  <img src="${ctxStatic}/overview/image/guide6.png" />
                </div>
                <div class="txt">成绩复查</div>
              </div>
              <div class="guide-body">
                <a class="my-btn border-c" onclick="toPage('/admin/exam/list?privilegeCode=exam_list','exam_list'<c:if test="${fnx:hasPrivilegeCode(role_privilege_codes, 'exam_list')}">,'true'</c:if>)">关闭考试</a>
                <a class="my-btn border-c" onclick="toPage('/admin/exam/inspected/list','exam_inspected_info'<c:if test="${fnx:hasPrivilegeCode(role_privilege_codes, 'exam_inspected_info-list')}">,'true'</c:if>)">导入待复查考生</a>
                <a class="my-btn border-c" >进入复核</a>
              </div>
            </div>
          </div>
          <div class="guide-gap x-gap">
            <img src="${ctxStatic}/overview/image/guide_to_left.png" />
          </div>
          <div class="guide-column2">
            <div class="guide-card guide-card5">
              <div class="guide-title">
                <div class="img-box">
                  <img src="${ctxStatic}/overview/image/guide5.png" />
                </div>
                <div class="txt">成绩导出</div>
              </div>
              <div class="guide-body5">
                <div class="level1">
                  <div class="step-index-box">
                    <span class="index1">1</span>
                    <span class="index2">2</span>
                    <span class="index3">3</span>
                  </div>
                  <div class="flex-1">
                    <a class="my-btn border-c" onclick="toPage('/admin/exam/check/student','exam_check_answer'<c:if test="${fnx:hasPrivilegeCode(role_privilege_codes, 'exam_check_answer')}">,'true'</c:if>)"
                      >数据检查 - 人工确认
                      <c:if test="${checkStudentOk==true}">
                      <img src="${ctxStatic}/overview/image/done.png" />
                      </c:if>
                    </a>
                    <a class="my-btn border-c" onclick="toPage('/admin/exam/mark','exam_mark'<c:if test="${fnx:hasPrivilegeCode(role_privilege_codes, 'exam_mark-mark')}">,'true'</c:if>)"
                      >检查科目进度100%且关闭
                      <c:if test="${checkSubjectOk==true}">
                      <img src="${ctxStatic}/overview/image/done.png" />
                      </c:if>
                    </a>
                    <a class="my-btn border-c" onclick="toPage('/admin/exam/student?privilegeCode=exam_student','exam_student'<c:if test="${fnx:hasPrivilegeCode(role_privilege_codes, 'exam_student')}">,'true'</c:if>)"
                      >缺考考生导入
                      <c:if test="${checkAbsentOk==true}">
                      <img src="${ctxStatic}/overview/image/done.png" />
                      </c:if>
                    </a>
                  </div>
                </div>
                <div class="level2">
                	<c:if test="${web_user.schoolAdmin==true || forbiddenScore==false}">
                  		<a class="my-btn border-c" onclick="toPage('/admin/exam/score?privilegeCode=exam_score','exam_score'<c:if test="${fnx:hasPrivilegeCode(role_privilege_codes, 'exam_score')}">,'true'</c:if>)">成绩导出</a>
                  	</c:if>
                  	<c:if test="${web_user.schoolAdmin!=true && forbiddenScore==true}">
                  		<a class="my-btn border-c" onclick="javascript:alert('没有权限');">成绩导出</a>
                  	</c:if>
                </div>
              </div>
            </div>
          </div>
          <div class="guide-gap x-gap">
            <img src="${ctxStatic}/overview/image/guide_to_left.png" />
          </div>
          <div class="guide-column3">
            <div class="guide-card guide-card6">
              <div class="guide-title">
                <div class="img-box">
                  <img src="${ctxStatic}/overview/image/guide4.png" />
                </div>
                <div class="txt">复核处理</div>
              </div>
              <div class="guide-body">
                <a class="my-btn border-c" onclick="toPage('/admin/exam/library','exam_mark'<c:if test="${fnx:hasPrivilegeCode(role_privilege_codes, 'exam_mark-library')}">,'true'</c:if>)">任务复核</a>
                <a class="my-btn border-c" onclick="toPage('/admin/exam/inspected/list','exam_inspected_info'<c:if test="${fnx:hasPrivilegeCode(role_privilege_codes, 'exam_inspected_info-list')}">,'true'</c:if>)">全卷复核</a>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </body>
</html>