<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/WEB-INF/views/include/taglib.jsp" %>
<html>
<head>
    <title>试评任务</title>
    <meta name="decorator" content="default"/>
    <%@include file="/WEB-INF/views/include/head.jsp" %>
    <style type="text/css">.sort {
        color: #0663A2;
        cursor: pointer;
    }</style>
</head>
<body>
<ul class="nav nav-tabs">
    <c:if test="${fnx:hasPrivilegeCode(role_privilege_codes, 'exam_mark-mark')}">
        <li><a href="${ctx}/admin/exam/mark?subjectCode=${subject.code}">评卷进度</a></li>
    </c:if>
    <c:if test="${fnx:hasPrivilegeCode(role_privilege_codes, 'exam_mark-group')}">
        <li><a href="${ctx}/admin/exam/group?subjectCode=${query.subjectCode}">分组管理</a></li>
    </c:if>
    <c:if test="${fnx:hasPrivilegeCode(role_privilege_codes, 'exam_mark-marker')}">
        <li><a href="${ctx}/admin/exam/marker?subjectCode=${query.subjectCode}">评卷员管理</a></li>
    </c:if>
    <li class="active"><a href="##">试评管理</a></li>
    <c:if test="${fnx:hasPrivilegeCode(role_privilege_codes, 'exam_mark-library')}">
        <li><a href="${ctx}/admin/exam/library?subjectCode=${query.subjectCode}">任务管理</a></li>
    </c:if>
    <c:if test="${fnx:hasPrivilegeCode(role_privilege_codes, 'exam_mark-arbitrate')}">
        <li><a href="${ctx}/admin/exam/arbitrate?subjectCode=${query.subjectCode}">仲裁管理</a></li>
    </c:if>
    <c:if test="${fnx:hasPrivilegeCode(role_privilege_codes, 'exam_mark-quality')}">
        <li><a href="${ctx}/admin/exam/quality?subjectCode=${query.subjectCode}">质量监控</a></li>
    </c:if>
</ul>
<form id="searchForm" action="${ctx}/admin/exam/trial" method="post" class="breadcrumb form-search">
    <input type="hidden" id="pageNumber" name="pageNumber" value="${query.pageNumber }"/>
    <input type="hidden" id="pageSize" name="pageSize" value="${query.pageSize }"/>
    <div>
        <label>科目</label>
        <select class="input-large" id="subject-select" name="subjectCode">
            <c:forEach items="${subjectList}" var="item">
                <option value="${item.code}"
                        <c:if test="${item.code==query.subjectCode}">selected</c:if>>${item.code}-${item.name}</option>
            </c:forEach>
        </select>
        <label>分组</label>
        <select class="input-medium" id="group-select" name="groupNumber">
            <option value="" <c:if test="${query.groupNumber==null}">selected</c:if>>不限</option>
            <c:forEach items="${groupList}" var="item">
                <option value="${item.number}"
                        <c:if test="${item.number==query.groupNumber}">selected</c:if>>${item.number}-${item.title}</option>
            </c:forEach>
        </select>
        <c:if test="${web_user.schoolAdmin==true || forbiddenScore==false}">
            <label>准考证号</label>
            <input type="text" name="examNumber" value="${query.examNumber}" maxlength="20" class="input-medium"
                   <c:if test="${web_user.subjectHeader==true && forbiddenInfo==true}">disabled="disabled"</c:if>
            />
        </c:if>
        <label>密号</label>
        <input type="text" name="secretNumber" id="secretNumber" value="${query.secretNumber}" maxlength="10"
               class="input-medium"/>
        &nbsp;
        <input id="btnSubmit" class="btn btn-primary" type="button" value="查询" onclick="goSearch()"/>
        <c:if test="${trialMode=='EXCLUSIVE'}">
            <a href="${ctx}/admin/exam/trial/marker?subjectCode=${query.subjectCode}&groupNumber=${query.groupNumber}" class="btn">试评分析</a>
        </c:if>
    </div>
</form>
<tags:message content="${message}"/>
<table id="contentTable" class="table table-striped table-bordered table-condensed">
    <thead>
    <tr>
        <th>科目代码</th>
        <th>分组序号</th>
        <th>准考证号</th>
        <th>密号</th>
        <th>评卷员</th>
        <th>评卷总分</th>
        <th>给分明细</th>
        <th>评卷时间</th>
        <th>操作</th>
    </tr>
    </thead>
    <tbody>
    <c:forEach items="${query.result}" var="result">
        <tr>
            <td>${result.subjectCode}</td>
            <td>${result.groupNumber}</td>
            <td>
                <c:if test="${web_user.subjectHeader==true && forbiddenInfo==true}">
                    ***
                </c:if>
                <c:if test="${web_user.schoolAdmin==true || forbiddenInfo==false}">
                    ${result.examNumber}
                </c:if>
            </td>
            <td>
                <c:if test="${web_user.subjectHeader==true && forbiddenInfo==true}">
                    ***
                </c:if>
                <c:if test="${web_user.schoolAdmin==true || forbiddenInfo==false}">
                    ${result.secretNumber}
                </c:if>
            </td>
            <td>${result.markerLoginName}</td>
            <td>
                <c:if test="${result.markerScore!=null}">
                    <c:if test="${result.markerScore==-1}">未选做</c:if>
                    <c:if test="${result.markerScore!=-1}"><fmt:formatNumber pattern="###.###"
                                                                             value="${result.markerScore}"/></c:if>
                </c:if>
                <c:if test="${result.markerScore==null}">
                    &nbsp;
                </c:if>
            </td>
            <td>
                <c:if test="${result.markerScoreList!=null}">
                    ${result.markerScoreList}
                </c:if>
                <c:if test="${result.markerScoreList==null}">
                    &nbsp;
                </c:if>
            </td>
            <td>
                <c:if test="${result.markerTime!=null}">
                    <fmt:formatDate value="${result.markerTime}" pattern="yyyy-MM-dd HH:mm:ss"/>
                </c:if>
                <c:if test="${result.markerTime==null}">
                    &nbsp;
                </c:if>
            </td>
            <td>
                    <%--  <c:if test="${result.markerTime!=null}">
                         <a href="##" class="reset-link" data-id="${result.id}">重置</a>
                     </c:if>
                             &nbsp; --%>
                <a href="${ctx}/web/admin/exam/track/trialLibrary?libraryId=${result.id}&subjectCode=${result.subjectCode}"
                   target="_blank">查看</a>
            </td>
        </tr>
    </c:forEach>
    </tbody>
</table>
<div class="pagination">${query}</div>
<%@include file="/WEB-INF/views/include/trialDetail.jsp" %>
<script type="text/javascript">
    $('.reset-link').click(function () {
        if (!confirm('确定要重置该试评任务吗?')) {
            return;
        }
        $.post('${ctx}/admin/exam/trial/reset', {libraryId: $(this).attr('data-id')}, function (result) {
            if (result.success == true) {
                alert('重置成功');
                $("#searchForm").submit();
            } else {
                alert(result.message);
            }
        });
    });
    $('.detail-link').click(function () {
        initTrialDetailPopover($(this).attr('data-title'), $(this).attr('data-id'));
        return false;
    });
    $('#subject-select').change(function () {
        var code = $(this).val();
        $('#group-select').empty();
        if (code == '') {
            $('#group-select').val('').trigger('change');
            return;
        }
        $.post('${ctx}/admin/exam/group/query', {subjectCode: code, status: 'TRIAL'}, function (result) {
            debugger;
            var parent = $('#group-select');
            var first = '';
            $('<option value="">不限</option>').appendTo(parent);
            for (var i = 0; i < result.length; i++) {
                var group = result[i];
                $('<option value="' + group.number + '">' + group.number + '-' + group.title + '</option>').appendTo(parent);
                /*  if (i == 0) {
                     first = group.number;
                 } */
            }
            parent.val(first).trigger('change');
        });
    });

    function page(n, s) {
        $("#pageNumber").val(n);
        $("#pageSize").val(s);
        $("#searchForm").submit();
        return false;
    }

    function goSearch() {
        $("#pageNumber").val(1);
        $("#searchForm").submit();
        return false;
    }
</script>
</body>
</html>